Brivio API reference
Gate

Record a weighbridge reading on the visit's ticket (201 first reading, 200 later ones); does not change the visit status. Honours Idempotency-Key. (scope: gate:write)

POST
/gate/visits/{id}/weighings

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Gate visit id

Formatuuid

Request Body

application/json
  1. body
phase*string
Value in"IN""OUT"
gross_kg?number
Range0 <= value
tare_kg?number
Range0 <= value
scale_name?string
Lengthlength <= 100
operator_name?string
Lengthlength <= 255
notes?string
Lengthlength <= 1000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/gate/visits/497f6eca-6276-4993-bfeb-53cbbbba6f08/weighings" \  -H "Content-Type: application/json" \  -d '{    "phase": "IN"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "visit_id": "4fa595bd-6c49-4a9e-9507-63e9ca0eb0fc",    "number": "string",    "unit": "kg",    "gross_kg": "string",    "tare_kg": "string",    "net_kg": "string",    "weighed_in_at": "2019-08-24T14:15:22Z",    "weighed_out_at": "2019-08-24T14:15:22Z",    "scale_name": "string",    "operator_name": "string",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "error": null}